# Class Parser

- Defined in src/core/parse/parser/parser.js:13

##### Index

### Constructors

constructor

### Properties

ast
astCompiler

### Methods

getAst
parse

## Constructors

### constructor

- new Parser(lexer: Lexer, $filter: (arg0: any) => any): Parser

  #### Parameters

  - lexer: Lexer
  - $filter: (arg0: any) => any

  #### Returns Parser

  - Defined in src/core/parse/parser/parser.js:19

## Properties

### ast

ast: AST

- Defined in src/core/parse/parser/parser.js:21

### astCompiler

astCompiler: ASTInterpreter

- Defined in src/core/parse/parser/parser.js:24

## Methods

### getAst

- getAst(exp: string): ParsedAST

  #### Parameters

  - exp: string

    Expression to be parsed

  #### Returns ParsedAST

  - Defined in src/core/parse/parser/parser.js:44

### parse

- parse(exp: string): CompiledExpression

  #### Parameters

  - exp: string

    Expression to be parsed

  #### Returns CompiledExpression

  - Defined in src/core/parse/parser/parser.js:32